body{
    position: relative;
}

body #loading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1500;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    font-size: 3em;
    display: none;
}

body #loading > i {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -15px;
    margin-top: -15px;
}

body #loading.active {
    display: block !important;
}

body #loading > p.message--progress {
    position: absolute;
    top: 50%;
    margin-top: 30px;
    color: #fff;
    font-size: 18px;
    width: 100%;
    text-align: center;
    font-weight: bold;
}

.dataTables_length {
    float: left;
}

.dt-buttons {
    float: left;
    top: -2px;
    margin-left: 10px;
    position: relative;
}

.modal form .first{
    margin-top: 0;
}

.modal form label{
    margin-top: 5px;
}

.modal form input[type=file]{
    position: absolute;
    opacity: 0;
    cursor: pointer;
    top: 50%;
}

.modal .img-content{
    width: 100%;
    height: 250px;
    background-color: #dadada;
    border: 5px solid #696d6f;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    text-align: center;
    cursor: pointer;
}

.modal .img-content.user-img{
    height: 200px;
    margin-bottom: 5px;
}

.modal .img-content img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.modal form textarea{
    height: 140px;
}

.modal .img-content i{
    color: #5c5959;
}

span.invalid-feedback{
    color: #e86565;
    font-size: 12px;
    top: 5px;
    position: relative;
}

.datepicker-days thead , .datepicker-months thead, .datepicker-years thead{
    background: #cdcdcd;
}

.container-label {
    display: block;
    position: relative;
    top: 3px;
    padding-left: 35px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.container-label input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #cacaca;
}

.container-label:hover input ~ .checkmark {
    background-color: #b8b6b6;
}

.container-label input:checked ~ .checkmark {
    background-color: #367fa9;
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.container-label input:checked ~ .checkmark:after {
    display: block;
}

.container-label .checkmark:after {
    left: 7px;
    top: 5px;
    width: 5px;
    height: 8px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

button.pull-right{
    margin-right: 5px;
}

.content-total{
    text-align: right;
    margin: 0 20px;
    font-size: 20px;
    font-weight: 600;
    color: red;
}

.content-total span{
    color: #211f1f;
}

input[type='password']{
    padding-right: 35px;
}

.hide-show {
    pointer-events: all;
    cursor: pointer;
    position: absolute;
    top: 30px;
    right: 15px;
}